#include "ppmtail.h"

ppmtail::ppmtail(char *p_fname,QWidget *parent,const char *name)
	:QWidget(parent,name),fname(p_fname),pixmap(p_fname)
{
	QObject::connect(&timer,SIGNAL(timeout()),this,SLOT(repaint()));
	timer.start(1000);
	setFixedSize(pixmap.width(),pixmap.height());
}

void ppmtail::paintEvent(QPaintEvent *e)
{
	QPainter p(this);
	pixmap.load(fname);
	p.drawPixmap(0,0,pixmap);
}

void ppmtail::refresh()
{
	QMessageBox::about(NULL,"refresh","Refresh");
}
